Some code examples for this [board](https://hackaday.io/project/5231-esp8266-esp-0712-dev-board)(also usable on other ESP8266 boards). 
I used the Arduino IDE to program the ESP. Take a look at [this](https://github.com/esp8266/arduino) project for Arduino IDE and ESP8266. There you can also find additional example Code.